PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- template_star

# template_star

`pydl.pydlspec2d.spec1d.``template_star`(metadata, newloglam, newflux, newivar, slist, outfile, verbose=False)

  Run PCA or HMF on stellar spectra of various classes.

  Parameters:

  metadata : `dict`

  > Dictionary containing metadata about the spectra.

  newloglam : `ndarray`

  > The wavelength array, used only for plots.

  newflux : `ndarray`

  > Flux shifted onto common wavelength.

  newivar : `ndarray`

  > Inverse variances of the fluxes.

  slist : `recarray`

  > The list of objects, containing stellar class information.

  outfile : `str`

  > The base name of output file, used for plots.

  verbose : `bool`, optional

  > If `True`, print lots of extra information.

  Returns:

  `dict`

  > A dictonary containing flux, eigenvalues, etc.